package com.bonus.material.task.mapper;

import java.util.List;
import com.bonus.material.task.domain.TmTaskAuditLog;

/**
 * 任务Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-18
 */
public interface TmTaskAuditLogMapper {
    /**
     * 查询任务
     * 
     * @param id 任务主键
     * @return 任务
     */
    public TmTaskAuditLog selectTmTaskAuditLogById(Long id);

    /**
     * 查询任务列表
     * 
     * @param tmTaskAuditLog 任务
     * @return 任务集合
     */
    public List<TmTaskAuditLog> selectTmTaskAuditLogList(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 查询任务列表已审核roleKeys
     *
     * @param tmTaskAuditLog 任务
     * @return 任务集合
     */
    public List<String> selectTmTaskAuditRoleList(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 新增任务
     * 
     * @param tmTaskAuditLog 任务
     * @return 结果
     */
    public int insertTmTaskAuditLog(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 修改任务
     * 
     * @param tmTaskAuditLog 任务
     * @return 结果
     */
    public int updateTmTaskAuditLog(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 删除任务
     * 
     * @param id 任务主键
     * @return 结果
     */
    public int deleteTmTaskAuditLogById(Long id);

    /**
     * 批量删除任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTmTaskAuditLogsByIds(Long[] ids);
}
